<script setup lang="ts">
import SlidePromotion from '../component/SlidePromotion.vue'
import ListProduction from '../component/ListProduction.vue'
import PromotionInfo from '../component/PromotionInfo.vue'
import CustomerTopNav from '@/components/CustomerTopNav.vue'
import { onMounted } from 'vue'
import { useNavStore } from '@/stores/navigation'

const navStore = useNavStore()

onMounted(() => {
  navStore.hideNavLayout()
  // profileStore.openProfile()
})
</script>

<template>
  <v-app>
    <v-container pa-5>
      <CustomerTopNav></CustomerTopNav>
    </v-container>

    <SlidePromotion></SlidePromotion>
    <!-- WaitForDialog -->

    <v-col>
      <PromotionInfo></PromotionInfo>
    </v-col>

    <ListProduction></ListProduction>
    <br />
    <br />
    <h5 class="text-grey d-flex justify-center mt-12">
      For Education Only. © 2023 D-Coffee, SimpleDev Team. All right reserved.
    </h5>
  </v-app>
</template>

<style>
.custom-card {
  width: 100%;
  margin: auto;
  padding: 20px;
  background-color: #6d4c41;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.display-2.font-weight-bold {
  text-align: center;
  font-size: 45pt;
}

.display-2 {
  font-size: 48px;
  color: #fff;
}

.subtitle-1 {
  color: #fff;
  margin-top: 10px;
  font-size: 16px;
}

.thicker-divider {
  border-top-width: 3px;
}
</style>
